package com.buy507.mall.service;

import com.buy507.mall.model.OmsOrder;

public interface DistributionService {
	
	void computeRefereeCharge(Long memberId, OmsOrder order);
	
	void computeStoreSubsidy(Long memberId, OmsOrder order);
	
	void computeTeamTotalConsume(Long memberId, OmsOrder order);
	
	void computeTeamIncome(Long memberId, OmsOrder order);
	
	void computMemberLevel(Long memberId, OmsOrder order);

}
